package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.turnstore.entity.TurnstoreIn;
import com.sw.mes.yb.turnstore.entity.TurnstoreInItem;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface TurnstoreInService extends BaseService<TurnstoreIn> {
    void createIn(TurnstoreIn turnstoreIn, List<TurnstoreInItem> items);
    void updateIn(TurnstoreIn turnstoreIn, List<TurnstoreInItem> items);
    void deleteIn(Integer id);
    void returnTurnstore(Integer id,String confirmUser, String reason, String remark);
    void cancelTurnstore(Integer id,String confirmUser);
    void backIn(Integer id, String userName);
    void confirmIn(Integer id, String userName);
    Long getMaxBatchNo();
    List<TurnstoreIn> getItemsByBatchNo(Long batchNo);

    void confirmOut(TurnstoreIn turnstoreIn,List<TurnstoreInItem> turnstoreInItems);

}
